Subject: [Sip] Re: [Simple] -05 MESSAGE and Expires header

From: Ben Campbell <[email-masked]>
Date: Tue, 23 Jul 2002 17:07:31 -0500

I concur. I have had many responses suggesting we leave it alone, and 
only a couple of people arguing for a change.

The draft currently leaves most of the handling of Expires as a matter 
of local policy. I think that is the appropriate level of detail for the 
MESSAGE specification. Since the majority of the controversy concerns 
store and forward relays, I will echo Sean's statement that if we choose 
to standardize such relays, that specification if free to further 
constrain relay behavior.

Also, as mentioned in the wg meeting, this discussion belongs on the SIP 
list, as it concerns a SIP work item. I have tried moving it there, but 
it doesn't seem to stick. Please direct any future discussion to the SIP 
list.

Jonathan Rosenberg wrote:
> I still believe that we should follow Robert's advice as offered in the 
> SIMPLE session. We are now down to arguing the interpretation of the 
> terms priority, urgency, and expiration. This is an argument for which 
> there is no right answer. Since 3261 allows each method to define a 
> method-specific meaning for Expires, we are well within the scope of the 
> specifications. No one has found a technical flaw in this approach. At 
> least several people (myself included) feel its reasonable if not 
> perfect. Robert's advice was to leave it be unless people found it to be 
> broken. I would rather finish this specification finally, rather than 
> debating the relative interpretations of the terms in play here.
> 
> -Jonathan R.
> 
> Ben Campbell wrote:
> 
>> [email-masked] wrote:
>>
>>> Well, you read my mind. I wanted to get consensus that Priority header
>>
>>
>> is for user interface purposes only before I do so.
>>
>> As I mentioned in a separate mail, priority _can_ be used for routing 
>> purposes. But it means something different than urgency.
>>
>>
>>> Should we do something like that or are these issues part of the
>>
>>
>> ieprep work?
>>
>>> Regards,
>>> Hisham
>>>
>>>
>>>
>>>> -----Original Message-----
>>>> From: ext Adam Roach [mailto:[email-masked]]
>>>> Sent: Monday, July 22, 2002 4:51 PM
>>>> To: Khartabil Hisham (NMP/Helsinki); Jonathan Rosenberg; Adam Roach
>>>> Cc: Ben Campbell; [email-masked]; [email-masked];
>>>> [email-masked]; [email-masked]
>>>> Subject: RE: [Simple] -05 MESSAGE and Expires header
>>>>
>>>>
>>>>
>>>>
>>>>> -----Original Message-----
>>>>> From: [email-masked] [mailto:[email-masked]]
>>>>> - When is a message urgent but does not require immediate delivery?
>>>>
>>>>
>>>> Are you proposing an "Urgency" header, or confusing priority with
>>>> urgency? I'll see if I can accurately demonstrate their orthangonality.
>>>>
>>>> High Priority, Low Urgency:
>>>> Note to new residents: failure to file income taxes by April
>>>> 15th can lead to substantial penalties.
>>>>
>>>> Low Priority, High Urgency:
>>>> You have 5 minutes to come by and pick up the rest of your lunch
>>>> or I'm going to throw it away.
>>>>                            High Priority, High Urgency:
>>>> There's a tornado coming your way!
>>>>
>>>> Low Priority, Low Urgency:
>>>> Llamas can make four distinct noises: humming, clucking, orgling, and
>>>> a high pitched, rhythmic alarm sound.
>>>>
>>>> /a
>>>>
>>>
>>>
>>
>>
>>
> 
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Ben Campbell <[email-masked]>
Date: Tue, 23 Jul 2002 17:08:25 -0500

---

From: "Vijay K. Gurbani" <[email-masked]>
Date: Wed, 24 Jul 2002 11:23:26 -0500

[...]
  > Robert's advice was to leave it be unless people found it to be

Jonathan/Ben:

It was not my intention to delay the specification when I originally
posted this question to the SIMPLE list in Yokohama (heck, I did not
even think that it would engender such passion :-)).  Out of a set of
9 people who have contributed to this thread, 1/3 (including me) think
that 'Expires: 0' should NOT be used.  So that settles the issue in
favor of keeping status quo.

  > No one has found a technical flaw in this approach

These are the technical flaws as I see them, none of which are show
stoppers:

        (1) Expires is generally considered to be an e2e header; however,
            MESSAGE I-D uses it for decision making in intermediaries (I
            will note that even in RFC 3261, it is suggested that proxies
            not use Expires header in determining when to teardown a
            session that is being set up)
        (2) Expires will need to be duplicated in the 'outer' headers if
            S/MIME is being used

The philosophical flaws are probably more egregious; these are:

        (1) Violates the self-describing aspect of SIP headers by
            overloading 'Expires: 0' to imply immediate delivery
        (2) Non-congruence of usage with respect to REGISTER and
            SUBSCRIBE
        (3) Leaves open the possibility that future requests will
            interpret 'Expires: 0' in other unknown subtle ways
        (4) Why overload it if there is another header that
            approximates immediate delivery to both intermediaries
            and end points
        (5) While IMs send in session mode probably cannot be with-
            drawn; maybe in the future IMs in page mode could be.
            For example, an IM with an 'Expires: 60' which elicits a
            202 response from a relay, could be retracted.  If so, we
            loose the ability to use 'Expires: 0' for retraction
Thanks,

- vijay
-- 
Vijay K. Gurbani  vkg@{lucent.com,research.bell-labs.com,acm.org}
Wireless Networks Group/Internet Software and Services
Lucent Technologies/Bell Labs Innovations, 2000 Lucent Lane, Rm 6G-440
Naperville, Illinois 60566     Voice: +1 630 224 0216